import bb.cascades 1.3

Container {
    onCreationCompleted: { settingsSheet.updateRequired.connect(onUpdateRequired) }
    function onUpdateRequired() { toggleButton.checked = _settings.value("batterySavingModeEnabled", false) }
    
    property bool batterySavingModeEnabled: _settings.value("batterySavingModeEnabled", false)
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        Label {
            text: qsTr("Battery Saving Mode") + Retranslate.onLocaleOrLanguageChanged
            textStyle.fontSize: FontSize.XLarge
            multiline: true
            horizontalAlignment: HorizontalAlignment.Center
        }
        ToggleButton {
            id: toggleButton
            checked: _settings.value("batterySavingModeEnabled", false)
            onCheckedChanged: { 
                _settings.setValue("batterySavingModeEnabled", checked)
                batterySavingModeEnabled = checked
                _app.sendToHL("BATTERY_SAVING_MODE_CHANGED", (checked ?"true" : "false"))
            }
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
    Container {
        visible: toggleButton.checked
        Slider {
            id: slider
            fromValue: 1
            toValue: 20
            value: _settings.value("batterySavingModeTimerInterval", 10)
            onValueChanged: { 
                _settings.setValue("batterySavingModeTimerInterval", immediateValue.toFixed(0)) 
                _app.sendToHL("BATTERY_SAVING_MODE_TIMER_INTERVAL_CHANGED")
            }
        }
        Label { 
            text: qsTr("(Stop monitoring if no close object is found for ") + Number(slider.immediateValue).toFixed(0) + qsTr(" secs straight)") + Retranslate.onLocaleOrLanguageChanged 
            textStyle.fontSize: FontSize.Small
            multiline: true
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
    Label {
        text: qsTr("If this option is ON, the app will only prevent accidental typing for ") + Retranslate.onLocaleOrLanguageChanged + slider.immediateValue.toFixed(0) + qsTr(" seconds after the screen is turned on. If there is no indication that the phone is in your pocket when the screen gets turned ON, the app will stop monitoring and will wait for the next time the screen is turned off and on again. If it detects that it might be in a closed environment (pocket), it will keep monitoring until the phone is out of the closed environment.\nIf you let this option OFF, the app will constantly monitor the environment when the screen is ON.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
}
