import bb.cascades 1.3

Container {
    onCreationCompleted: { settingsSheet.updateRequired.connect(onUpdateRequired) }
    function onUpdateRequired() { slider.value = _settings.value("delay", 800) }
    Label {
        text: qsTr("Delay") + Retranslate.onLocaleOrLanguageChanged
        textStyle.fontSize: FontSize.XLarge
        multiline: true
    }
    Label {
        text: qsTr("This is the delay before the dialog shows when the app thinks the phone might be in your pocket. Setting this to a high delay value (far right) might help preventing PocketSafe dialog from showing when you are actually using the device, but it can be harder for PocketSafe to protect accidental typing while it's in your pocket.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
    Slider {
        id: slider
        fromValue: 0
        toValue: 2000
        value: _settings.value("delay", 800)
        onValueChanged: { 
            _settings.setValue("delay", immediateValue.toFixed(0)) 
        }
    }
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        Label { text: Number(slider.immediateValue / 1000).toFixed(1) + qsTr(" secs") + Retranslate.onLocaleOrLanguageChanged }
        Button {
            text: qsTr("Reset to default") + Retranslate.onLocaleOrLanguageChanged
            onClicked: { slider.value = 800 }
        }
    }
}
